using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(Room), true)]
public class RoomEditor : UnityEditor.Editor {

    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        if(GUILayout.Button("Update position on grid"))
        {
            ((Room)target).UpdatePositionOnGrid();
        }
    }

}
